
Foreman - Refactor #15503

Remve puppet from lookup_keys base class

06/22/2016 07:21 PM - Ori Rabin

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

All the lookup keys that exist today are related to puppet.

To create other types of lookup keys (for example turning global parameters into lookup keys) the connection to puppet should exist

in the children classes only and not the base class for lookup keys.

This change should include breaking down classification to separate between areas that are puppet specific to generic section like

deciding which value to use according to the override order.

Related issues:

Related to Foreman - Tracker #9596: Extract Puppet functionality to a plugin New 03/01/2015

History

#1 - 06/22/2016 07:21 PM - Ori Rabin

- Related to Tracker #9596: Extract Puppet functionality to a plugin added

#2 - 07/27/2016 08:56 AM - Ivan Necas

- Target version set to 113

#3 - 08/31/2016 07:06 AM - Shimon Shtein

Mainly we're talking about the puppet? method. This method shouldn't exist in the LookupKey class.
